﻿using C1.WPF.Docking;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace DockFloatCenter
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            dockControl.Loaded += DockControl_Loaded;
        }

        private void DockControl_Loaded(object sender, RoutedEventArgs e)
        {
            foreach (var window in this.OwnedWindows)
                if (window.GetType() == typeof(WPFWindow))
                {
                    var win = (window as WPFWindow);
                    win.WindowStartupLocation = WindowStartupLocation.CenterScreen;
                }
        }
    }
}
